gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.RadioToolButton

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A toolbar item that contains a radio button

- Module available since Gtk+ version 2.4

Synopsis

- data RadioToolButton
- class ToggleToolButtonClass o => RadioToolButtonClass o
- castToRadioToolButton :: GObjectClass obj => obj -> RadioToolButton
- gTypeRadioToolButton :: GType
- toRadioToolButton :: RadioToolButtonClass o => o -> RadioToolButton
- radioToolButtonNew :: IO RadioToolButton
- radioToolButtonNewFromStock :: StockId -> IO RadioToolButton
- radioToolButtonNewFromWidget :: RadioToolButtonClass groupMember => groupMember -> IO RadioToolButton
- radioToolButtonNewWithStockFromWidget :: RadioToolButtonClass groupMember => groupMember -> StockId -> IO RadioToolButton
- radioToolButtonGetGroup :: RadioToolButtonClass self => self -> IO [RadioToolButton]
- radioToolButtonSetGroup :: RadioToolButtonClass self => self -> RadioToolButton -> IO ()
- radioToolButtonGroup :: RadioToolButtonClass self => ReadWriteAttr self [RadioToolButton] RadioToolButton

# Detail

A `RadioToolButton` is a `ToolItem` that contains a radio button, that is, a button that is part of a group of toggle buttons where only one button can be active at a time.

Use `radioToolButtonNew` to create a new `RadioToolButton`. use `radioToolButtonNewFromWidget` to create a new `RadioToolButton` that is part of the same group as an existing `RadioToolButton`. Use `radioToolButtonNewFromStock` or `radioToolButtonNewWithStockFromWidget` to create a new `RadioToolButton` containing a stock item.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----ToolItem
    | +----ToolButton
    | +----ToggleToolButton
    | +----RadioToolButton

# Types

data RadioToolButton Source #

#### Instances

Instances details

Eq RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: RadioToolButton -> RadioToolButton -> Bool Source # (/=) :: RadioToolButton -> RadioToolButton -> Bool Source #
Ord RadioToolButton Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: RadioToolButton -> RadioToolButton -> Ordering Source #

(<) :: RadioToolButton -> RadioToolButton -> Bool Source #

(<=) :: RadioToolButton -> RadioToolButton -> Bool Source #

(>) :: RadioToolButton -> RadioToolButton -> Bool Source #

(>=) :: RadioToolButton -> RadioToolButton -> Bool Source #

max :: RadioToolButton -> RadioToolButton -> RadioToolButton Source #

min :: RadioToolButton -> RadioToolButton -> RadioToolButton Source #

GObjectClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: RadioToolButton -> GObject Source # unsafeCastGObject :: GObject -> RadioToolButton Source #
BinClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
RadioToolButtonClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToggleToolButtonClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToolButtonClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToolItemClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ToggleToolButtonClass o => RadioToolButtonClass o Source #

#### Instances

Instances details

RadioToolButtonClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToRadioToolButton :: GObjectClass obj => obj -> RadioToolButton Source #

gTypeRadioToolButton :: GType Source #

toRadioToolButton :: RadioToolButtonClass o => o -> RadioToolButton Source #

# Constructors

radioToolButtonNew :: IO RadioToolButton Source #

Creates a new `RadioToolButton`, creating a new group.

radioToolButtonNewFromStock Source #

Arguments

:: StockId | `stockId` - the name of a stock item
-> IO RadioToolButton |

Creates a new `RadioToolButton`, creating a new group. The new `RadioToolButton` will contain an icon and label from the stock item indicated by `stockId`.

radioToolButtonNewFromWidget Source #

Arguments

:: RadioToolButtonClass groupMember |
=> groupMember | `groupMember` - a member of an existing radio group, to which the new radio tool button will be added.
-> IO RadioToolButton |

Creates a new `RadioToolButton` adding it to the same group as the group to which `groupMember` belongs.

radioToolButtonNewWithStockFromWidget Source #

Arguments

:: RadioToolButtonClass groupMember |
=> groupMember | `groupMember` - a member of an existing radio group, to which the new radio tool button will be added.
-> StockId | `stockId` - the name of a stock item
-> IO RadioToolButton |

Creates a new `RadioToolButton` adding it to the same group as the group to which `groupMember` belongs. The new `RadioToolButton` will contain an icon and label from the stock item indicated by `stockId`.

# Methods

radioToolButtonGetGroup Source #

Arguments

:: RadioToolButtonClass self |
=> self |
-> IO [RadioToolButton] | returns the group the button belongs to.

Returns the radio button group `button` belongs to.

radioToolButtonSetGroup Source #

Arguments

:: RadioToolButtonClass self |
=> self |
-> RadioToolButton | `groupMember` - a member of an existing radio group, to which the radio tool button will be added.
-> IO () |

Adds `button` to `group`, removing it from the group it belonged to before.

# Attributes

radioToolButtonGroup :: RadioToolButtonClass self => ReadWriteAttr self [RadioToolButton] RadioToolButton Source #

Sets a new group for a radio tool button.